/*https://www.w3schools.com/css/css_website_layout.asp*/
@import "buttons.css";
@import "spinner.css";
@import "tables.css";
@import "forms.css";
@import "links-button.css";
@import "alerts.css";
@import "title.css";
@import "cards.css";
@import "page/myHome.css";

body {
    margin: 0;
    font-family: Roboto, sans-serif;
}


/* Style the header */
.header {
    background-color: rgba(70, 96, 255, 0.86);
    padding: 20px;
    opacity: 50%;
    color: white;
    text-align: center;
    border-radius: 4px;
}


/* Create three equal columns that floats next to each other */
.column {
    float: left;
    width: 33.33%;
    padding: 15px;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

/* Responsive layout - makes the three columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
    .column {
        width: 100%;
    }
}


.container {
    /* On ajoute une marge sur les cotés de l'écran */
    padding-right: 15px;
    padding-left: 15px;

    /* Et on centre */
    margin-right: auto;
    margin-left: auto;

}


/* Sur les grands écrans, on limite la largeur du contenu */
@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}

/*
* Comme la dite marge est exprimée en pourcentage,
* on l'augmente sur les devices moins larges.
*/
@media only screen and (min-width: 993px) {
    .container {
        width: 85%;
    }
}


/* Create two unequal columns that floats next to each other */
/* Left column */
.leftcolumn {
    float: left;
    width: 75%;
}

/* Right column */
.rightcolumn {
    float: left;
    width: 25%;
    background-color: #f1f1f1;
    padding-left: 20px;
}

/* Fake image */
.fakeimg {
    background-color: #aaa;
    width: 100%;
    padding: 20px;
}

/* Add a card effect for articles */
.card {
    background-color: white;
    padding: 20px;
    margin-top: 20px;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

/* Footer */
.footer {
    padding: 20px;
    text-align: center;
    background: #ddd;
    margin-top: 20px;
}

p {
    font-family: 'Open Sans', sans-serif;
    text-align: left;

}

h1,h2,h3 {
    font-family: Roboto, sans-serif;
}

tr:nth-child(even) {
    background-color: #dddddd;
}


/* Responsive layout - when the screen is less than 800px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
    .leftcolumn, .rightcolumn {
        width: 100%;
        padding: 0;
    }
}
